<template>
  <div class="filter">
    <div class="container">
      <div class="filter-head">
        <img @click="hideFilters" src="../assets/images/icons/back.svg" alt="">
        <p class="title">Фильтр</p>
        <p @click="selectedFilter = null" class="filter-head-reset">Сбросить</p>
      </div>
      <p class="filter-show-all">Показать все</p>
      <div class="filter-category-wrap">
        <div
          v-for="(el, i) in filtersCategory"
          :key="'filtersCategory'+i"
          class="filter-category"
          :class="{'filter-category-active':selectedFilter === el.id}"
          @click="selectedFilter = el.id"
        >
          {{el.name}}
        </div>
      </div>
      <p v-if="!selectedFilter" class="subtitle">У вас ничего не выбрано</p>
    </div>
    <div v-if="selectedFilter === 1">
      <p class="filter-title">Площадка</p>
      <div style="margin-bottom: 24px" class="home-filter-slide">
        <div
          v-for="(slide, i) in slideFilter.el"
          :key="i"
          :class="{'active': slideFilter.active === slide.name}"
          @click="slideFilter.active = slide.name"
          class="slide"
        >{{slide.name}}</div>
      </div>
      <p class="filter-title">Тип аккаунта</p>
      <div class="home-filter-slide">
        <div
          v-for="(slide, i) in slideTypeAccount.el"
          :key="i"
          :class="{'active': slideTypeAccount.active === slide.name}"
          @click="slideTypeAccount.active = slide.name"
          class="slide"
        >{{slide.name}}</div>
      </div>
      <div class="container">
        <Input name="Цена" sub-name="руб" dblinput :dbl-placeholder="['от 0', 'до 150 000']"/>
        <Input name="Подписчики" dblinput :dbl-placeholder="['от 0', 'до 2 000 000']"/>
        <Input name="Охват" dblinput :dbl-placeholder="['от 0', 'до 5 700 000']"/>
        <Input name="Родная почта" :key="'1749jt2ed3wa23123'" select-top select checked="Да" :select-options="['Да', 'Нет']"/>
        <Button @click.native="hideFilters" text="Применить" small/>
      </div>
    </div>
    <div v-if="selectedFilter === 2">
      <p class="filter-title">Площадка</p>
      <div style="margin-bottom: 24px" class="home-filter-slide">
        <div
          v-for="(slide, i) in slideFilter.el"
          :key="i"
          :class="{'active': slideFilter.active === slide.name}"
          @click="slideFilter.active = slide.name"
          class="slide"
        >{{slide.name}}</div>
      </div>
      <p class="filter-title">Тип аккаунта</p>
      <div class="home-filter-slide">
        <div
          v-for="(slide, i) in slideTypeAccount.el"
          :key="i"
          :class="{'active': slideTypeAccount.active === slide.name}"
          @click="slideTypeAccount.active = slide.name"
          class="slide"
        >{{slide.name}}</div>
      </div>
      <div class="container">
        <Input name="Цена" sub-name="руб" dblinput :dbl-placeholder="['от 0', 'до 150 000']"/>
        <Input name="Подписчики" dblinput :dbl-placeholder="['от 0', 'до 2 000 000']"/>
        <Input name="Охват" dblinput :dbl-placeholder="['от 0', 'до 5 700 000']"/>
        <Button @click.native="hideFilters" text="Применить" small/>
      </div>
    </div>
    <div v-if="selectedFilter === 3">
      <p class="filter-title">Подкатегория</p>
      <div style="margin-bottom: 24px" class="home-filter-slide">
        <div
          v-for="(slide, i) in slideSubcategory.el"
          :key="i"
          :class="{'active': slideSubcategory.active === slide.name}"
          @click="slideSubcategory.active = slide.name"
          class="slide"
        >{{slide.name}}</div>
      </div>
      <div class="container">
        <Input name="Сфера деятельности" select checked="Госслужба" :select-options="['Госслужба', 'Блогер']"/>
        <Input name="Заработная плата" sub-name="руб./мес" dblinput :dbl-placeholder="['от 0', 'до 2 700 000']"/>
        <Input name="Опыт работы" input placeholder="1" right-text="лет"/>
        <Input style="margin-bottom: 0" :key="123123123123123" name="Регион" subtitle="Страна" select checked="Россия" :select-options="['Россия', 'Беларусь', 'Украина', ]"/>
        <Input subtitle="Область" select checked="Нижний Новгород" :select-options="['Нижний Новгород', 'Москва', 'Таганрог', ]"/>
        <Input name="Образование" select checked="Высшее" :select-options="['Высшее', 'Среднее']"/>
        <Input name="График работы" select checked="Удалённая работа" :select-options="['Удалённая работа', 'не Удалённая работа']"/>
        <Input name="Тип занятости" :key="'12312ed3wa23123'" :select-top="true" select checked="Проектная" :select-options="['Проектная', 'не Проектная', 'полуПроектная', ]" />
        <Button @click.native="hideFilters" text="Применить" small/>
      </div>
    </div>
  </div>
</template>

<script>
import Input from "./Input";
import Button from "./Button";
export default {
  name: "Filters",
  components: {Button, Input},
  data () {
    return {
      filtersCategory: [
        {name: 'Аккаунты', id: 1, active: false},
        {name: 'Реклама', id: 2, active: false},
        {name: 'Работа', id: 3, active: false}
      ],
      selectedFilter: null,
      slideFilter: {
        active: 'Все',
        el: [
          { name: 'Все', link: '' },
          { name: 'VK', link: '' },
          { name: 'Telegram', link: '' },
          { name: 'Inst', link: '' },
          { name: 'FB', link: '' },
          { name: 'YouTube', link: '' },
          { name: 'Яндекс.Дзен', link: '' },
        ]
      },
      slideTypeAccount: {
        active: 'Все',
        el: [
          { name: 'Все', link: '' },
          { name: 'Блоггер', link: '' },
          { name: 'Паблик', link: '' },
        ]
      },
      slideSubcategory: {
        active: 'Вакансия',
        el: [
          { name: 'Вакансия', link: '' },
          { name: 'Резюме', link: '' },
        ]
      },
    }
  },
  methods: {
    hideFilters () {
      this.$root.$refs.home.hideFilters()
    },
  }
}
</script>

<style scoped lang="scss">
.filter {
  position: fixed;
  top: 0;
  left: 0;
  padding-bottom: 24px;
  width: 100vw;
  height: 100vh;
  background-color: #F1F2F4;
  overflow-y: auto;
  z-index: 300;
  .container {
    .filter-head {
      display: flex;
      margin-bottom: 20px;
      align-items: center;
      p.title {
        width: 100%;
        text-align: center;
        margin-left: 25px;
      }
      .filter-head-reset {
        color: #2B7FE2;
        font-weight: 400;
        font-size: 14px;
        line-height: 16px;
        padding-top: 5px;
      }
    }
    .filter-show-all {
      font-weight: 400;
      font-size: 16px;
      line-height: 20px;
      color: #2B7FE2;
      margin-bottom: 24px;
    }
    .filter-category-wrap {
      display: flex;
      justify-content: space-between;
      margin-bottom: 24px;
      .filter-category {
        color: #C4C4C4;
        border-radius: 12px;
        padding: 10px 24px;
        border: 1px solid #C4C4C4;
        text-align: center;
        transition: all 0.3s ease;
        &.filter-category-active {
          background: #2B7FE2;
          color: white;
        }
      }
    }
  }
  .filter-title {
    padding: 0 24px;
    margin-bottom: 13px;
    font-weight: 700;
    font-size: 18px;
    line-height: 120%;
    color: #424242;
  }
}
</style>
